#!/bin/bash
# ./plot_Lat_Long.com -125 -114 32 39.5 0.7 vn vncpt 5

gmt psbasemap -Jm$5 -R$1/$2/$3/$4 -Ba2f1g0WSen:."$6": -K  -X0.7i -P -V > $6.ps
gmt grdimage $6.grd -C$7.cpt -Jm$5 -R -O -K -V >> $6.ps
gmt psxy cafaults.xy -Jm$5 -R$1/$2/$3/$4 -Sc0.03 -Ggrey -V -K -O >> $6.ps
#gmt psxy CGM_mask.xy -Jm$5 -R$1/$2/$3/$4 -W1,blue -V -K -O >> $6.ps
gmt psxy blk.lluv -Jm$5 -R$1/$2/$3/$4 -Sc0.05 -Gblack -V -K -O >> $6.ps
gmt pscoast -Jm$5 -R -Na -W2 -Dh -O -K -V >> $6.ps
#gmt psscale -C$7.cpt -Dx8c/-2c+w12c/0.5c+jTC+h -B$8 -O -I -V -K >> $6.ps
gmt psscale -C$7.cpt -D4/2.0/7/0.4h -B$8 -O -K >> $6.ps
gmt pstext -R -J -O <<!>> $6.ps
-121.8 32.2 12 0 5 1 velocity (mm/yr)
!
